﻿using System;
using Aurora.Backend.Models;
using LibVLCSharp.Shared;

namespace Aurora.Backend.Services
{
    public class PlayerService : BaseService<PlayerService>
    {
        public PlayerService()
        {
        }

        public void Play(BaseSong song)
        {
            Core.Initialize();
            using (var libVLC = new LibVLC())
            {
                song.Load();
                var media = new Media(libVLC, song.DataStream);
                using (var mp = new MediaPlayer(media))
                {
                    media.Dispose();
                    mp.Play();
                    Console.ReadKey();
                }

                song.Unload();
            }


        }

    }
}
