﻿using System.Collections.ObjectModel;
using Aurora.Backend.Models;
using Aurora.Backend.Services;
using Xamarin.Forms;

namespace Aurora.Frontend.Views.Songs
{
    public class SongsViewModel : BaseViewModel
    {
        #region Fields
        private ObservableCollection<BaseSong> _songsList;
        private BaseSong _selectedSong;

        #endregion Fields

        #region Constructor
        public SongsViewModel()
        {
            _songsList = new ObservableCollection<BaseSong>();
            PlayCommand = new Command(PlayExecute);
            Initialize();
        }

        #endregion Constructor

        #region Properties
        public ObservableCollection<BaseSong> SongsList
        {
            get { return _songsList; }
            set { SetProperty(ref _songsList, value); }
        }

        public BaseSong SelectedSong
        {
            get { return _selectedSong; }
            set { SetProperty(ref _selectedSong, value); }
        }

        public Command PlayCommand { get; private set; }

        #endregion Properties

        #region Methods
        public void Initialize()
        {

            SongsList = LibraryService.Instance.GetLibrary();
        }

        public void PlayExecute()
        {
            PlayerService.Instance.Play(_selectedSong);
        }

        #endregion Methods

    }
}
